## org.apache.portals.bridges.struts.config
Class RenderContextAttributes.Attribute

    java.lang.Object
      org.apache.portals.bridges.struts.config.RenderContextAttributes.Attribute

Enclosing class:
  RenderContextAttributes

public static class RenderContextAttributes.Attribute
extends Object

Field Summary
`private boolean` `keep`
`private boolean` `prefix`
`private String` `value`

Constructor Summary
`RenderContextAttributes.Attribute()`

Method Summary
`String` `getValue()`
`boolean` `isKeep()`
`boolean` `isPrefixAttr()`
`void` `setKeep(boolean keep)`
`void` `setName(String value)`
`void` `setPrefix(String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### value

    private String value

### prefix

    private boolean prefix

### keep

    private boolean keep

Constructor Detail

### RenderContextAttributes.Attribute

    public RenderContextAttributes.Attribute()

Method Detail

### isKeep

    public boolean isKeep()

### setKeep

    public void setKeep(boolean keep)

### isPrefixAttr

    public boolean isPrefixAttr()

### getValue

    public String getValue()

### setName

    public void setName(String value)

### setPrefix

    public void setPrefix(String value)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.